Skip to content

Refresh application key

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Refresh application secret

Method name

ManagementClient.refresh_application_secret

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
appIdstringyes-Application ID6229ffaxxxxxxxxcade3e3d9

Request Response

Type: RefreshApplicationSecretRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a RefreshApplicationSecretDataDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "secret": "860830c5a647xxxxxx7bd4d0dd94bf23"
  }
}

Data Structure

RefreshApplicationSecretDataDto

NameTypeRequiredDescriptionSample value
secretstringyesNew application key860830c5a647xxxxxx7bd4d0dd94bf23

Agent infrastructure for identity, memory, and web action.